import {
  request
} from "@/utils/request";

export default {

  SalesDiscounts: {

    List(data) {
      return request({
        url: "/admin/SalesDiscounts/List",
        method: "GET",
        data,
        type: 'store'
      });
    },
    GetItem(data) {
      return request({
        url: "/admin/SalesDiscounts/GetItem",
        method: "GET",
        data,
        type: 'store'
      });
    },
    Create(data) {
      return request({
        url: "/admin/SalesDiscounts/Create",
        method: "POST",
        data,
        type: 'store'
      });
    },
  },

  SalesFullDiscounts: {

    List(data) {
      return request({
        url: "/admin/SalesFullDiscounts/List",
        method: "GET",
        data,
        type: 'store'
      });
    },
    GetItem(data) {
      return request({
        url: "/admin/SalesFullDiscounts/GetItem",
        method: "GET",
        data,
        type: 'store'
      });
    },
    Create(data) {
      return request({
        url: "/admin/SalesFullDiscounts/Create",
        method: "POST",
        data,
        type: 'store'
      });
    },
  },

  SalesFullSetRedution: {

    List(data) {
      return request({
        url: "/admin/SalesFullSetRedution/List",
        method: "GET",
        data,
        type: 'store'
      });
    },
    GetItem(data) {
      return request({
        url: "/admin/SalesFullSetRedution/GetItem",
        method: "GET",
        data,
        type: 'store'
      });
    },
    Create(data) {
      return request({
        url: "/admin/SalesFullSetRedution/Create",
        method: "POST",
        data,
        type: 'store'
      });
    },
  }

};